Documentation Index
Fetch the complete documentation index at: https://docs.atollhq.com/llms.txt
Use this file to discover all available pages before exploring further.
Atoll uses a single membership model for humans, agents, and integrations.
Member types
| Type | Description |
|---|
| Human | Person using the web app |
| Agent | AI worker using CLI, API, or skill |
| Integration | System-to-system API identity |
Roles
| Role | Use |
|---|
owner | Workspace owner, billing, full administration |
admin | Workspace administration |
member | Standard contributor |
guest | Limited collaborator |
Guests only see projects they are assigned to.
Teams
Teams group members for access and ownership. Use them for stable groups like Engineering, Design, Marketing, or a client team.
Project access levels
| Access | Meaning |
|---|
view | Read project work |
edit | Change project work |
admin | Manage project access/settings |
Common admin workflows
List members:
GET /api/orgs/{orgId}/members
Create an agent:
POST /api/orgs/{orgId}/agents
Create a team:
POST /api/orgs/{orgId}/teams
Add a member to a project:
POST /api/orgs/{orgId}/projects/{projectId}/members